Docs

List transactions

Returns a paginated list of transactions.

GET /transactions

Returns a paginated list of transactions. Use the query parameters to page through results.

Use the include parameter to include related entities in the response.

Requires transaction.read permission.

Query parameters

includearray
Include related entities in the response. Use a comma-separated list to specify multiple entities.
Values
  • address
    Include an object for the address entity related to this transaction. Only included where an address_id is set against the transaction.
  • adjustments
    Include an array of adjustments related to this transaction. Only included where a transaction has adjustments.
  • adjustments_totals
    Include an object that includes totals for all adjustments against this transaction.
  • available_payment_methods
    Include an array of available payment methods for this transaction.
  • business
    Include an object for the business entity related to this transaction. Only included where a business_id is set against the transaction.
+ Show all values
  • customer
    Include an object for the customer entity related to this transaction. Only included where a customer_id is set against the transaction.
  • discount
    Include an object for the discount entity related to this transaction. Only included where a discount_id is set against the transaction.
idarray
Return only the IDs specified. Use a comma-separated list to get multiple entities.
afterstring
Return entities after the specified Paddle ID when working with paginated endpoints. Used in the meta.pagination.next URL in responses for list operations.
billed_atstring
Return entities billed at a specific time. Pass an RFC 3339 datetime string, or use [LT] (less than), [LTE] (less than or equal to), [GT] (greater than), or [GTE] (greater than or equal to) operators. For example, billed_at=2023-04-18T17:03:26 or billed_at[LT]=2023-04-18T17:03:26.
collection_modestring
How payment is collected. automatic for checkout, manual for invoices.
Values
  • automatic
    Payment is collected automatically using a checkout initially, then using a payment method on file.
  • manual
    Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires billing_details.
created_atstring
Return entities created at a specific time. Pass an RFC 3339 datetime string, or use [LT] (less than), [LTE] (less than or equal to), [GT] (greater than), or [GTE] (greater than or equal to) operators. For example, created_at=2023-04-18T17:03:26 or created_at[LT]=2023-04-18T17:03:26.
customer_idarray
Return entities related to the specified customer. Use a comma-separated list to specify multiple customer IDs.
invoice_numberarray
Return entities that match the invoice number. Use a comma-separated list to specify multiple invoice numbers.
originarray
Return entities related to the specified origin. Use a comma-separated list to specify multiple origins.
Values
  • api
    Return transactions where the origin is api. Returned transactions were created by the Paddle API.
  • subscription_charge
    Return transactions where the origin is subscription_charge. Returned transactions were created automatically by Paddle as a result of a one-time charge for a subscription.
  • subscription_payment_method_change
    Return transactions where the origin is subscription_payment_method_change. Returned transactions were created automatically as part of updating a payment method. May be a zero value transaction.
  • subscription_recurring
    Return transactions where the origin is subscription_recurring. Returned transactions were created automatically by Paddle as a result of a subscription renewal.
  • subscription_update
    Return transactions where the origin is subscription_update. Returned transactions were created automatically by Paddle as a result of an update to a subscription.
+ Show all values
  • subscription_import
    Return transactions where the origin is subscription_import. Returned transactions that were created automatically by Paddle as a result of a subscription import.
  • web
    Return transactions where the origin is web. Returned transactions were created automatically by Paddle.js for a checkout.
order_bystring
Default: id[DESC]

Order returned entities by the specified field and direction ([ASC] or [DESC]). For example, ?order_by=id[ASC].

Valid fields for ordering: billed_at, created_at, id, and updated_at.

statusarray
Return entities that match the specified status. Use a comma-separated list to specify multiple status values.
Values
  • draft
    Return transactions where the status is draft. Returned transactions are missing required fields.
  • ready
    Return transactions where the status is ready. Returned transactions have all of the required fields to be marked as billed or completed.
  • billed
    Return transactions where the status is billed. Returned transactions are considered legal records and cannot be changed.
  • paid
    Return transactions where the status is paid. Returned transactions are fully paid, but have not yet been fully processed internally.
  • completed
    Return transactions where the status is completed. Returned transactions are fully paid and processed.
+ Show all values
  • canceled
    Return transactions where the status is canceled. Returned transactions have been canceled and are no longer due.
  • past_due
    Return transactions where the status is past_due. Returned transactions are past due, meaning payment failed for automatically-collected transactions or payment terms elapsed for manually-collected transactions.
subscription_idarray | null
Return entities related to the specified subscription. Use a comma-separated list to specify multiple subscription IDs. Pass null to return entities that aren't related to any subscription.
per_pageinteger
Default: 30

Set how many entities are returned per page. Paddle returns the maximum number of results if a number greater than the maximum is requested. Check meta.pagination.per_page in the response to see how many were returned.

Default: 30; Maximum: 30.

Max: 30
updated_atstring
Return entities updated at a specific time. Pass an RFC 3339 datetime string, or use [LT] (less than), [LTE] (less than or equal to), [GT] (greater than), or [GTE] (greater than or equal to) operators. For example, updated_at=2023-04-18T17:03:26 or updated_at[LT]=2023-04-18T17:03:26.

Response (200)

dataarrayrequired
idstringrequired
Example: txn_01h04vsbhqc62t8hmd4z3b578c
Unique Paddle ID for this transaction entity, prefixed with txn_.
Pattern: ^txn_[a-z\d]{26}$
statusstringrequired
Status of this transaction. You may set a transaction to billed or canceled, other statuses are set automatically by Paddle. Automatically-collected transactions may return completed if payment is captured successfully, or past_due if payment failed.
Values
  • draft
    Transaction is missing required fields. Typically the first stage of a checkout before customer details are captured.
  • ready
    Transaction has all of the required fields to be marked as billed or completed.
  • billed
    Transaction has been updated to billed. Billed transactions get an invoice number and are considered a legal record. They cannot be changed. Typically used as part of an invoice workflow.
  • paid
    Transaction is fully paid, but has not yet been processed internally.
  • completed
    Transaction is fully paid and processed.
+ Show all values
  • canceled
    Transaction has been updated to canceled. If an invoice, it's no longer due.
  • past_due
    Transaction is past due. Occurs for automatically-collected transactions when the related subscription is in dunning, and for manually-collected transactions when payment terms have elapsed.
customer_idstring | nullrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Unique Paddle ID for this customer entity, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
address_idstring | nullrequired
Example: add_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this address entity, prefixed with add_.
Pattern: ^add_[a-z\d]{26}$
business_idstring | nullrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
currency_codestringrequired
Supported three-letter ISO 4217 currency code. Must be USD, EUR, or GBP if collection_mode is manual.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
originstringrequired
Describes how this transaction was created.
Values
  • api
    Transaction created via the Paddle API.
  • subscription_charge
    Transaction created automatically by Paddle as a result of a one-time charge for a subscription.
  • subscription_payment_method_change
    Transaction created automatically as part of updating a payment method. May be a zero value transaction.
  • subscription_recurring
    Transaction created automatically by Paddle as a result of a subscription renewal.
  • subscription_update
    Transaction created automatically by Paddle as a result of an update to a subscription.
+ Show all values
  • web
    Transaction created automatically by Paddle.js for a checkout.
subscription_idstring | nullrequired
Example: sub_01h04vsc0qhwtsbsxh3422wjs4
Unique Paddle ID for this subscription entity, prefixed with sub_.
Pattern: ^sub_[a-z\d]{26}$
invoice_idstring | nullrequireddeprecated
Example: inv_01ghbk4xjn4qdsmstcwzgcgg35
Paddle ID of the invoice that this transaction is related to, prefixed with inv_. Used for compatibility with the Paddle Invoice API, which is now deprecated. This field is scheduled to be removed in the next version of the Paddle API.
Pattern: ^inv_[a-z\d]{26}$
invoice_numberstring | nullrequired
Example: 123-45678
Document number that is automatically generated by Paddle.
collection_modestringrequired
Default: automatic
How payment is collected for this transaction. automatic for checkout, manual for invoices.
Values
  • automatic
    Payment is collected automatically using a checkout initially, then using a payment method on file.
  • manual
    Payment is collected manually. Customers are sent an invoice with payment terms and can make a payment offline or using a checkout. Requires billing_details.
discount_idstring | nullrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
billing_detailsobject | nullrequired
Details for invoicing. Required if collection_mode is manual.
enable_checkoutbooleanrequired
Default: false
Whether the related transaction may be paid using Paddle Checkout. If omitted when creating a transaction, defaults to false.
purchase_order_numberstringrequired
Customer purchase order number. Appears on invoice documents.
Max length: 100
additional_informationstring | nullrequired
Notes or other information to include on this invoice. Appears on invoice documents.
Max length: 1500
payment_termsobjectrequired
How long a customer has to pay this invoice once issued.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
billing_periodobject | nullrequired
Time period that this transaction is for. Set automatically by Paddle for subscription renewals to describe the period that charges are for.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
itemsarrayrequired
List of items on this transaction. For calculated totals, use details.line_items.
Items: 1–100
priceobjectrequired
Represents a price entity.
idstringrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Unique Paddle ID for this price, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
product_idstringrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Paddle ID for the product that this price is for, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
descriptionstringrequired
Internal description for this price, not shown to customers. Typically notes for your team.
Length: 2–500
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
namestring | nullrequired
Name of this price, shown to customers at checkout and on invoices. Typically describes how often the related product bills.
Length: 1–150
billing_cycleobject | nullrequired
How often this price should be charged. null if price is non-recurring (one-time).
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
trial_periodobject | nullrequired
Trial period for the product related to this price. The billing cycle begins once the trial period is over. null for no trial period. Requires billing_cycle.
intervalstringrequired
Unit of time.
Values
  • day
  • week
  • month
  • year
frequencyintegerrequired
Amount of time.
Min: 1
requires_payment_methodbooleanrequired
Default: true
Whether this price requires a payment method (true) or not (false) when trialing. If false, customers can sign up for subscription without entering their payment details, often referred to as a "cardless trial."
tax_modestringrequired
Default: account_setting
How tax is calculated for this price.
Values
  • account_setting
    Prices use the setting from your account.
  • external
    Prices are exclusive of tax.
  • internal
    Prices are inclusive of tax.
  • location
    Prices are inclusive or exclusive of tax, depending on the country of the transaction.
unit_priceobjectrequired
Base price. This price applies to all customers, except for customers located in countries where you have unit_price_overrides.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
unit_price_overridesarrayrequired
List of unit price overrides. Use to override the base price with a custom price and currency for a country or group of countries.
Items: max 250
country_codesarrayrequired
Supported two-letter ISO 3166-1 alpha-2 country code. Customers located in the listed countries are charged the override price.
Items: min 1, unique
string
Two-letter ISO 3166-1 alpha-2 representation of a supported country.
unit_priceobjectrequired
Override price. This price applies to customers located in the countries for this unit price override.
amountstringrequired
Amount in the lowest denomination for the currency, e.g. 10 USD = 1000 (cents). Although represented as a string, this value must be a valid integer.
currency_codestringrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
quantityobjectrequired
Example: {"minimum":1,"maximum":100}
Limits on how many times the related product can be purchased at this price. Useful for discount campaigns.
minimumintegerrequired
Default: 1
Example: 1
Minimum quantity of the product related to this price that can be bought. Required if maximum set.
Range: 1–999999999
maximumintegerrequired
Default: 100
Example: 100
Maximum quantity of the product related to this price that can be bought. Required if minimum set. Must be greater than or equal to the minimum value.
Range: 1–999999999
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
quantityintegerrequired
Quantity of this item on the transaction.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
detailsobjectrequired
Calculated totals for a transaction, including proration, discounts, tax, and currency conversion. Considered the source of truth for totals on a transaction.
tax_rates_usedarrayrequired
List of tax rates applied for this transaction.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction.
totalsobjectrequired
Calculated totals for the tax applied to this transaction.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of the total for a transaction. These numbers can be negative when dealing with subscription updates that result in credit.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
creditstringrequired
Example: 0
Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a billed transaction.
credit_to_balancestringrequired
Example: 0
Additional credit generated from negative details.line_items. This credit is added to the customer balance.
balancestringrequired
Example: 16500
Total due on a transaction after credits and any payments.
grand_totalstringrequired
Example: 16500
Total due on a transaction after credits but before any payments.
grand_total_taxstringrequired
Example: 83
Net tax amount included in grand_total. Equals the full tax amount unless credits are applied, in which case this value is proportionally reduced.
feestring | nullrequired
Example: 825
Total fee taken by Paddle for this transaction. null until the transaction is completed and the fee is processed.
earningsstring | nullrequired
Example: 15675
Total earnings for this transaction. This is the total minus the Paddle fee. null until the transaction is completed and the fee is processed.
currency_codestringrequired
Three-letter ISO 4217 currency code of the currency used for this transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
adjusted_totalsobjectrequired
Breakdown of the totals for a transaction after adjustments.
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
grand_totalstringrequired
Example: 16500
Total due after credits but before any payments.
grand_total_taxstringrequired
Example: 83
Net tax amount included in grand_total. Equals the full tax amount unless credits are applied, in which case this value is proportionally reduced.
feestring | nullrequired
Example: 825
Total fee taken by Paddle for this transaction. null until the transaction is completed and the fee is processed.
retained_feestringrequired
Example: 300
Total Paddle fees retained for this adjustment.
earningsstring | nullrequired
Example: 15675
Total earnings for this transaction. This is the total minus the Paddle fee. null until the transaction is completed and the fee is processed.
currency_codestringrequired
Three-letter ISO 4217 currency code of the currency used for this transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
payout_totalsobject | nullrequired
Breakdown of the payout total for a transaction. null until the transaction is completed. Returned in your payout currency.
subtotalstringrequired
Example: 15000
Total before tax and fees.
discountstringrequired
Example: 0
Total discount as a result of any discounts applied. Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
creditstringrequired
Example: 0
Total credit applied to this transaction. This includes credits applied using a customer's credit balance and adjustments to a billed transaction.
credit_to_balancestringrequired
Example: 0
Additional credit generated from negative details.line_items. This credit is added to the customer balance.
balancestringrequired
Example: 16500
Total due on a transaction after credits and any payments.
grand_totalstringrequired
Example: 16500
Total due on a transaction after credits but before any payments.
grand_total_taxstringrequired
Example: 83
Net tax amount included in grand_total. Equals the full tax amount unless credits are applied, in which case this value is proportionally reduced.
feestringrequired
Example: 825
Total fee taken by Paddle for this payout.
earningsstringrequired
Example: 15675
Total earnings for this payout. This is the subtotal minus the Paddle fee.
currency_codestringrequired
Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • CNY
    Chinese Yuan
  • CZK
    Czech Koruna
+ Show all values
  • DKK
    Danish Krone
  • EUR
    Euro
  • GBP
    Pound Sterling
  • HUF
    Hungarian Forint
  • PLN
    Polish Zloty
  • SEK
    Swedish Krona
  • USD
    United States Dollar
  • ZAR
    South African Rand
exchange_ratestringrequired
Default: 1
Example: 1.0513135
Currency exchange rate, including margin if applicable. 1.0 if the transaction currency matches your payout currency.
fee_ratestringrequired
Example: 0.05
Paddle fee rate that was applied to this transaction.
adjusted_payout_totalsobject | nullrequired
Breakdown of the payout total for a transaction after adjustments. null until the transaction is completed.
subtotalstringrequired
Example: 15000
Total before tax and fees.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
feestringrequired
Example: 825
Total fee taken by Paddle for this payout.
retained_feestringrequired
Example: 300
Paddle fees retained for this adjustment.
chargeback_feeobjectrequired
Details of any chargeback fees incurred for this transaction.
amountstringrequired
Example: 1680
Chargeback fee converted into the payout currency.
originalobject | nullrequired
Chargeback fee before conversion to the payout currency. null when the chargeback fee is the same as the payout currency.
amountstringrequired
Example: 1500
Fee amount for this chargeback in the original currency.
currency_codestringrequired
Example: USD
Three-letter ISO 4217 currency code for the original chargeback fee.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
earningsstringrequired
Example: 15675
Total earnings for this payout. This is the subtotal minus the Paddle fee, excluding chargeback fees.
currency_codestringrequired
Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • CNY
    Chinese Yuan
  • CZK
    Czech Koruna
+ Show all values
  • DKK
    Danish Krone
  • EUR
    Euro
  • GBP
    Pound Sterling
  • HUF
    Hungarian Forint
  • PLN
    Polish Zloty
  • SEK
    Swedish Krona
  • USD
    United States Dollar
  • ZAR
    South African Rand
exchange_ratestringrequired
Example: 1.0513135
Currency exchange rate, including margin if applicable. 1.0 if the transaction currency matches your payout currency.
line_itemsarrayrequired
Information about line items for this transaction. Different from transaction items as they include totals calculated by Paddle. Considered the source of truth for line item totals.
price_idstringrequired
Example: pri_01gsz8z1q1n00f12qt82y31smh
Paddle ID for the price related to this transaction line item, prefixed with pri_.
Pattern: ^pri_[a-z\d]{26}$
quantityintegerrequired
Quantity of this transaction line item.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this transaction line item.
unit_totalsobjectrequired
Breakdown of the charge for one unit in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
totalsobjectrequired
Breakdown of a charge in the lowest denomination of a currency (e.g. cents for USD).
subtotalstringrequired
Example: 15000
Subtotal before discount, tax, and deductions. If an item, unit price multiplied by quantity.
discountstringrequired
Example: 0

Total discount as a result of any discounts applied.

Except for percentage discounts, Paddle applies tax to discounts based on the line item price.tax_mode. If price.tax_mode for a line item is internal, Paddle removes tax from the discount applied.

taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after discount and tax.
productobjectrequired
Related product entity for this transaction line item price. Reflects the entity at the time it was added to the transaction.
idstringrequired
Example: pro_01gsz97mq9pa4fkyy0wqenepkz
Unique Paddle ID for this product, prefixed with pro_.
Pattern: ^pro_[a-z\d]{26}$
namestringrequired
Name of this product.
Length: 1–200
descriptionstring | nullrequired
Short description for this product.
Max length: 2048
typestringrequired
Default: standard
Type of item. Standard items are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • custom
    Non-catalog item. Typically created for a specific transaction or subscription. Not returned when listing or shown in the Paddle dashboard.
  • standard
    Standard item. Can be considered part of your catalog and reused across transactions and subscriptions easily.
tax_categorystringrequired
Tax category for this product. Used for charging the correct rate of tax. Selected tax category must be enabled on your Paddle account.
Values
  • digital-goods
    Non-customizable digital files or media (not software) acquired with an up front payment that can be accessed without any physical product being delivered.
  • ebooks
    Digital books and educational material which is sold with permanent rights for use by the customer.
  • implementation-services
    Remote configuration, set-up, and integrating software on behalf of a customer.
  • professional-services
    Services that involve the application of your expertise and specialized knowledge of a software product.
  • saas
    Products that allow users to connect to and use online or cloud-based applications over the Internet.
+ Show all values
  • software-programming-services
  • standard
    Software products that are pre-written and can be downloaded and installed onto a local device.
  • training-services
    Training and education services related to software products.
  • website-hosting
    Cloud storage service for personal or corporate information, assets, or intellectual property.
image_urlrequired
Image for this product. Included in the checkout and on some customer documents.
Image Url
A URL to an image.
null
Empty String
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this transaction item, prefixed with txnitm_. Used when working with adjustments.
Pattern: ^txnitm_[a-z\d]{26}$
paymentsarrayrequired
List of payment attempts for this transaction, including successful payments. Sorted by created_at in descending order, so most recent attempts are returned first.
payment_attempt_idstringrequired
Example: 497f776b-851d-4ebf-89ab-8ba0f75d2d6a
UUID for this payment attempt.
stored_payment_method_idstringrequireddeprecated
Example: 7636e781-3969-49f4-9c77-8226232e28a6
UUID for the stored payment method used for this payment attempt. Deprecated - use payment_method_id instead.
payment_method_idstring | nullrequired
Example: paymtd_01hkm9xwqpbbpr1ksmvg3sx3v1
Unique Paddle ID for this payment method entity, prefixed with paymtd_.
Pattern: ^paymtd_[a-z\d]{26}$
amountstringrequired
Example: 1050
Amount for collection in the lowest denomination of a currency (e.g. cents for USD).
statusstringrequired
Status of this payment attempt.
Values
  • authorized
    Authorized but not captured. Payment attempt is incomplete.
  • authorized_flagged
    Authorized but not captured because it has been flagged as potentially fraudulent. Payment attempt is incomplete.
  • canceled
    Previously authorized payment attempt has been canceled. Typically when authorized_flagged payment attempts are rejected.
  • captured
    Payment captured successfully. Payment attempt is complete.
  • error
    Something went wrong and the payment attempt was unsuccessful. Check the error_code for more information.
+ Show all values
  • action_required
    Customer must complete an action for this payment attempt to proceed. Typically means that the payment attempt requires 3DS.
  • pending_no_action_required
    Response required from the bank or payment provider. Transaction is pending.
  • created
    New payment attempt created.
  • unknown
    Payment attempt status not known.
  • dropped
    Payment attempt dropped by Paddle.
error_codestring | nullrequired
Reason why a payment attempt failed. Returns null if payment captured successfully.
Values
  • already_canceled
    Cancellation not possible because the amount has already been canceled. Not typically returned for payments.
  • already_refunded
    Refund is not possible because the amount has already been refunded. Not typically returned for payments.
  • authentication_failed
    Payment required a 3DS2 authentication challenge. The customer completed the challenge but was not successful.
  • blocked_card
    Payment method issuer has indicated that the card cannot be used as it is frozen, lost, damaged, or stolen.
  • canceled
    Customer has requested that the mandate for recurring payments be canceled.
+ Show all values
  • declined
    Payment method has been declined, with no other information returned.
  • declined_not_retryable
    Payment method has been declined, and the issuer has indicated that it should not be retried. This could mean the account is closed or the customer revoked authorization to charge the payment method.
  • expired_card
    Payment method issuer has indicated that this card is expired. Expired cards may also return invalid_payment_details, depending on how a payment is routed.
  • fraud
    Payment method issuer or payment service provider flagged this payment as potentially fraudulent.
  • invalid_amount
    Payment method issuer or payment service provider cannot process a payment that is this high or low.
  • invalid_payment_details
    Payment service provider has indicated the payment method isn't valid. This typically means that it's expired. expired_card is returned by the payment method issuer, rather than the payment service provider.
  • issuer_unavailable
    Payment service provider couldn't reach the payment method issuer.
  • not_enough_balance
    Payment method declined because of insufficient funds, or fund limits being reached.
  • preferred_network_not_supported
    Payment method has been declined because the network scheme that the customer selected isn't supported by the payment service provider.
  • psp_error
    Something went wrong with the payment service provider, with no other information returned.
  • redacted_payment_method
    Payment service provider didn't receive payment method information as they've been redacted.
  • system_error
    Something went wrong with the Paddle platform. Try again later, or check status.paddle.com.
  • transaction_not_permitted
    Payment method issuer doesn't allow this kind of payment because of limits on the account, or legal or compliance reasons.
  • unknown
    Payment attempt unsuccessful, with no other information returned.
method_detailsobjectrequired
Information about the payment method used for a payment attempt.
typestringrequired
Type of payment method used for this payment attempt.
Values
  • alipay
    Alipay, popular in China.
  • apple_pay
    Apple Pay on a supported Apple device.
  • bancontact
    Bancontact, popular in Belgium.
  • blik
    BLIK, a popular payment method in Poland.
  • card
    Credit or debit card.
+ Show all values
  • google_pay
    Google Pay on a supported Android device, Chromebook, or Google Chrome browser.
  • ideal
    iDEAL, popular in the Netherlands.
  • kakao_pay
    Kakao Pay, a popular payment method in Korea.
  • korea_local
    Korean payment methods, which includes over 20 payment options for the Korean market. Check underlying_payment_method.korea_local for information about the Korean payment method used to pay.
  • south_korea_local_card
    Korean local credit or debit card.
  • mb_way
    MB WAY, a popular payment method in Portugal.
  • naver_pay
    Naver Pay, a popular payment method in Korea.
  • offline
    Payment recorded offline.
  • payco
    Payco, a popular payment method in Korea.
  • paypal
    PayPal.
  • pix
    Pix, popular in Brazil. Available in early access.
  • samsung_pay
    Samsung Pay, a popular payment method in Korea.
  • unknown
    Payment method not known.
  • upi
    Unified Payments Interface (UPI), popular in India. Available in early access.
  • wechat_pay
    WeChat Pay, a popular payment method in China.
  • wire_transfer
    Wire transfer, sometimes called bank transfer.
underlying_detailsobject | nullrequireddeprecated
Information about the underlying payment method used to pay. Populated for payment methods that offer multiple payment options, like korea_local. Deprecated - use top-level type objects instead.
korea_localobject | nullrequired
Information about the Korean payment method used to pay. null unless the type is korea_local.
typestringrequired
Type of Korean payment method used to pay.
Values
  • bc
    BC Card (BCard), a kind of card issued in Korea. (비씨카드)
  • citi
    Card issued by Citi Bank in Korea. (한국씨티은행)
  • hana
    Card issued by Hana Bank in Korea. (하나카드)
  • hyundai
    Hyundai Card, a credit card issued by Hyundai in Korea. (현대카드)
  • jeju
    Card issued by Jeju Bank in Korea. (제주은행)
+ Show all values
  • jeonbuk
    Card issued by Jeonbuk Bank in Korea. (전북은행)
  • kakaobank
    Card issued by Kakaobank in Korea. (주식회사 카카오뱅크)
  • kakaopay
    KakaoPay digital wallet, popular in Korea. (카카오페이)
  • kbank
    Card issued by K Bank in Korea. (케이뱅크)
  • kdbbank
    Card issued by KDB Bank in Korea. (한국산업은행)
  • kookmin
    Card issued by Kookmin Bank in Korea. (국민은행)
  • kwangju
    Card issued by Kwangju Bank in Korea. (광주은행)
  • lotte
    Lotte Card, a credit card issued by the Lotte Corporation in Korea. (롯데카드)
  • mg
    Card issued by MG Community Credit Cooperatives (KFCC) in Korea. (MG새마을금고)
  • naverpaycard
    Card issued by Naver Pay in Korea. (네이버 페이)
  • naverpaypoint
    Naver Pay digital wallet, popular in Korea. (네이버 페이)
  • nh
    NH Card, a card issued by Nonghyup Bank in Korea. (NH농협은행)
  • payco
    PayCo digital wallet, popular in Korea. (페이코)
  • post
    Card issued by Korea Post. (우체국예금보험)
  • samsung
    Samsung Card, a card issued by Samsung in Korea. (삼성카드)
  • samsungpay
    Samsung Pay digital wallet, popular in Korea. (삼성 월렛)
  • savingsbank
    Card issued by the Korean Federation of Savings Banks in Korea. (저축은행중앙회)
  • shinhan
    Card issued by Shinhan Bank in Korea. (주식회사 신한은행)
  • shinhyup
    Card issued by the National Credit Unit Federation of Korea (Shinhyup) in Korea. (신한은행 신협)
  • suhyup
    Card issued by the National Federation of Fisheries Cooperation (Suhyup) in Korea. (수협은행)
  • tossbank
    Card issued by Toss Bank in Korea. (토스뱅크)
  • unknown
    Underlying payment method not recognized.
  • woori
    Card issued by Woori Bank in Korea. (주식회사 우리은행)
south_korea_local_cardobject | nullrequired
Information about the Korean payment method used to pay.
typestring
Type of Korean payment method used to pay.
Values
  • bc
    BC Card (BCard), a kind of card issued in Korea. (비씨카드).
  • citi
    Card issued by Citi Bank in Korea. (한국씨티은행).
  • hana
    Card issued by Hana Bank in Korea. (하나카드).
  • hyundai
    Hyundai Card, a credit card issued by Hyundai in Korea. (현대카드).
  • jeju
    Card issued by Jeju Bank in Korea. (제주은행).
+ Show all values
  • jeonbuk
    Card issued by Jeonbuk Bank in Korea. (전북은행).
  • kakaobank
  • kbank
    Card issued by K Bank in Korea. (케이뱅크).
  • kdbbank
    Card issued by KDB Bank in Korea. (한국산업은행).
  • kookmin
    Card issued by Kookmin Bank in Korea. (국민은행).
  • kwangju
    Card issued by Kwangju Bank in Korea. (광주은행).
  • lotte
    Lotte Card, a credit card issued by the Lotte Corporation in Korea. (롯데카드).
  • mg
    Card issued by MG Community Credit Cooperatives (KFCC) in Korea. (MG새마을금고).
  • nh
    NH Card, a card issued by Nonghyup Bank in Korea. (NH농협은행).
  • post
    Card issued by Korea Post. (우체국예금보험).
  • samsung
    Samsung Card, a card issued by Samsung in Korea. (삼성카드).
  • savingsbank
    Card issued by the Korean Federation of Savings Banks in Korea. (저축은행중앙회).
  • shinhan
    Card issued by Shinhan Bank in Korea. (주식회사 신한은행).
  • shinhyup
    Card issued by the National Credit Unit Federation of Korea (Shinhyup) in Korea. (신한은행 신협).
  • suhyup
    Card issued by the National Federation of Fisheries Cooperation (Suhyup) in Korea. (수협은행).
  • tossbank
    Card issued by Toss Bank in Korea. (토스뱅크).
  • unknown
    Underlying payment method not recognized.
  • woori
    Card issued by Woori Bank in Korea. (주식회사 우리은행).
last4string
Example: 4242
Last four digits of the card used to pay.
cardobject | nullrequired
Card metadata
typestringrequired
Type of credit or debit card used to pay.
Values
  • american_express
    American Express
  • diners_club
    Diners Club
  • discover
    Discover Card
  • jcb
    JCB Card, popular in Japan
  • mada
    Mada Card, popular in Saudi Arabia
+ Show all values
  • maestro
    Maestro (debit card)
  • mastercard
    Mastercard
  • union_pay
    UnionPay, popular in China
  • unknown
    Card type unknown
  • visa
    Visa
last4stringrequired
Example: 4242
Last four digits of the card used to pay.
expiry_monthintegerrequired
Example: 12
Month of the expiry date of the card used to pay.
expiry_yearintegerrequired
Example: 2028
Year of the expiry date of the card used to pay.
cardholder_namestringrequired
The name on the card used to pay.
paypalobject | nullrequired
PayPal payment attempt metadata
emailstringrequired
Example: john.doe@example.com
Email address associated with the PayPal account.
referencestring | nullrequired
PayPal billing agreement identifier. Only populated for subscription payments where a billing agreement was created between the customer and PayPal. null for one-off PayPal payments.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
captured_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
checkoutobject | nullrequired
Paddle Checkout details for this transaction. Returned for automatically-collected transactions and where billing_details.enable_checkout is true for manually-collected transactions; null otherwise.
urlstring | nullrequired
Paddle Checkout URL for this transaction, composed of the URL passed in the request or your default payment URL + ?_ptxn= and the Paddle ID for this transaction.
Length: 1–2048
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
billed_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
revised_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
addressobject
Address for this transaction. Reflects the entity at the time it was added to the transaction, or its revision if revised_at is not null. Returned when the include parameter is used with the address value and the transaction has an address_id.
idstringrequired
Example: add_01gm302t81w94gyjpjpqypkzkf
Unique Paddle ID for this address entity, prefixed with add_.
Pattern: ^add_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this address, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
descriptionstring | nullrequired
Example: Paddle.com
Memorable description for this address.
Max length: 1024
first_linestring | nullrequired
Example: 3811 Ditmars Blvd
First line of this address.
Max length: 1024
second_linestring | nullrequired
Second line of this address.
Max length: 1024
citystring | nullrequired
Example: Astoria
City of this address.
Max length: 200
postal_codestring | nullrequired
Example: 11105-1803
ZIP or postal code of this address. Required for some countries.
Max length: 200
regionstring | nullrequired
Example: NY
State, county, or region of this address.
Max length: 200
country_codestringrequired
Supported two-letter ISO 3166-1 alpha-2 country code for this address.
Values
  • AD
    Andorra
  • AE
    United Arab Emirates
  • AG
    Antigua and Barbuda
  • AI
    Anguilla
  • AL
    Albania
+ Show all values
  • AM
    Armenia
  • AO
    Angola
  • AR
    Argentina
  • AS
    American Samoa
  • AT
    Austria
  • AU
    Australia
  • AW
    Aruba
  • AX
    Åland Islands
  • AZ
    Azerbaijan
  • BA
    Bosnia and Herzegovina
  • BB
    Barbados
  • BD
    Bangladesh
  • BE
    Belgium
  • BF
    Burkina Faso
  • BG
    Bulgaria
  • BH
    Bahrain
  • BI
    Burundi
  • BJ
    Benin
  • BL
    Saint Barthélemy
  • BM
    Bermuda
  • BN
    Brunei
  • BO
    Bolivia
  • BQ
    Caribbean Netherlands (Bonaire, Sint Eustatius, and Saba)
  • BR
    Brazil
  • BS
    Bahamas
  • BT
    Bhutan
  • BV
    Bouvet Island
  • BW
    Botswana
  • BZ
    Belize
  • CA
    Canada
  • CC
    Cocos Islands
  • CG
    Republic of Congo
  • CH
    Switzerland
  • CI
    Côte d'Ivoire (Ivory Coast)
  • CK
    Cook Islands
  • CL
    Chile
  • CM
    Cameroon
  • CN
    China
  • CO
    Colombia
  • CR
    Costa Rica
  • CV
    Cape Verde
  • CW
    Curaçao
  • CX
    Christmas Island
  • CY
    Cyprus
  • CZ
    Czechia (Czech Republic)
  • DE
    Germany
  • DJ
    Djibouti
  • DK
    Denmark
  • DM
    Dominica
  • DO
    Dominican Republic
  • DZ
    Algeria
  • EC
    Ecuador
  • EE
    Estonia
  • EG
    Egypt
  • EH
    Western Sahara
  • ER
    Eritrea
  • ES
    Spain
  • ET
    Ethiopia
  • FI
    Finland
  • FJ
    Fiji
  • FK
    Falkland Islands
  • FM
    Micronesia
  • FO
    Faroe Islands
  • FR
    France
  • GA
    Gabon
  • GB
    United Kingdom
  • GD
    Grenada
  • GE
    Georgia
  • GF
    French Guiana
  • GG
    Guernsey
  • GH
    Ghana
  • GI
    Gibraltar
  • GL
    Greenland
  • GM
    Gambia
  • GN
    Guinea
  • GP
    Guadeloupe
  • GQ
    Equatorial Guinea
  • GR
    Greece
  • GS
    South Georgia and the South Sandwich Islands
  • GT
    Guatemala
  • GU
    Guam
  • GW
    Guinea-Bissau
  • GY
    Guyana
  • HK
    Hong Kong
  • HM
    Heard Island and McDonald Islands
  • HN
    Honduras
  • HR
    Croatia
  • HU
    Hungary
  • ID
    Indonesia
  • IE
    Ireland
  • IL
    Israel
  • IM
    Isle of Man
  • IN
    India
  • IO
    British Indian Ocean Territory
  • IQ
    Iraq
  • IS
    Iceland
  • IT
    Italy
  • JE
    Jersey
  • JM
    Jamaica
  • JO
    Jordan
  • JP
    Japan
  • KE
    Kenya
  • KG
    Kyrgyzstan
  • KH
    Cambodia
  • KI
    Kiribati
  • KM
    Comoros
  • KN
    Saint Kitts and Nevis
  • KR
    South Korea
  • KW
    Kuwait
  • KY
    Cayman Islands
  • KZ
    Kazakhstan
  • LA
    Lao People's Democratic Republic (Laos)
  • LB
    Lebanon
  • LC
    Saint Lucia
  • LI
    Liechtenstein
  • LK
    Sri Lanka
  • LR
    Liberia
  • LS
    Lesotho
  • LT
    Lithuania
  • LU
    Luxembourg
  • LV
    Latvia
  • MA
    Morocco
  • MC
    Monaco
  • MD
    Moldova
  • ME
    Montenegro
  • MF
    Saint Martin
  • MG
    Madagascar
  • MH
    Marshall Islands
  • MK
    Macedonia
  • MN
    Mongolia
  • MO
    Macao
  • MP
    Northern Mariana Islands
  • MQ
    Martinique
  • MR
    Mauritania
  • MS
    Montserrat
  • MT
    Malta
  • MU
    Mauritius
  • MV
    Maldives
  • MW
    Malawi
  • MX
    Mexico
  • MY
    Malaysia
  • MZ
    Mozambique
  • NA
    Namibia
  • NC
    New Caledonia
  • NE
    Niger
  • NF
    Norfolk Island
  • NG
    Nigeria
  • NL
    Netherlands
  • NO
    Norway
  • NP
    Nepal
  • NR
    Nauru
  • NU
    Niue
  • NZ
    New Zealand
  • OM
    Oman
  • PA
    Panama
  • PE
    Peru
  • PF
    French Polynesia
  • PG
    Papua New Guinea
  • PH
    Philippines
  • PK
    Pakistan
  • PL
    Poland
  • PM
    Saint Pierre and Miquelon
  • PN
    Pitcairn
  • PR
    Puerto Rico
  • PS
    Palestinian territories
  • PT
    Portugal
  • PW
    Palau
  • PY
    Paraguay
  • QA
    Qatar
  • RE
    Reunion
  • RO
    Romania
  • RS
    Republic of Serbia
  • RW
    Rwanda
  • SA
    Saudi Arabia
  • SB
    Solomon Islands
  • SC
    Seychelles
  • SE
    Sweden
  • SG
    Singapore
  • SH
    Saint Helena
  • SI
    Slovenia
  • SJ
    Svalbard and Jan Mayen
  • SK
    Slovakia
  • SL
    Sierra Leone
  • SM
    San Marino
  • SN
    Senegal
  • SR
    Suriname
  • ST
    São Tomé and Príncipe
  • SV
    El Salvador
  • SX
    Sint Maarten
  • SZ
    Swaziland
  • TC
    Turks and Caicos Islands
  • TD
    Chad
  • TF
    French Southern and Antarctic Lands
  • TG
    Togo
  • TH
    Thailand
  • TJ
    Tajikistan
  • TK
    Tokelau
  • TL
    Timor-Leste
  • TM
    Turkmenistan
  • TN
    Tunisia
  • TO
    Tonga
  • TR
    Turkey
  • TT
    Trinidad and Tobago
  • TV
    Tuvalu
  • TW
    Taiwan
  • TZ
    Tanzania
  • UA
    Ukraine
  • UG
    Uganda
  • UM
    United States Minor Outlying Islands
  • US
    United States
  • UY
    Uruguay
  • UZ
    Uzbekistan
  • VA
    Holy See (Vatican City)
  • VC
    Saint Vincent and the Grenadines
  • VG
    British Virgin Islands
  • VI
    U.S. Virgin Islands
  • VN
    Vietnam
  • VU
    Vanuatu
  • WF
    Wallis and Futuna
  • WS
    Samoa
  • XK
    Kosovo
  • YT
    Mayotte
  • ZA
    South Africa
  • ZM
    Zambia
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
adjustmentsarray
List of adjustments for this transaction. Returned when the include parameter is used with the adjustment value and the transaction has adjustments.
idstringrequired
Example: adj_01gya6twkp8y0tv1e19rsgst9m
Unique Paddle ID for this adjustment entity, prefixed with adj_.
Pattern: ^adj_[a-z\d]{26}$
actionstringrequired
How this adjustment impacts the related transaction.
Values
  • credit
    Credits some or all the related transaction.
  • refund
    Refunds some or all the related transaction. Must be approved by Paddle in most cases.
  • chargeback
    Chargeback for the related transaction. Automatically created by Paddle when a customer successfully disputes a charge.
  • chargeback_reverse
    Reversal of a chargeback for the related transaction. Automatically created by Paddle when Paddle contests a chargeback successfully.
  • chargeback_warning
    Warning of an upcoming chargeback for the related transaction. Automatically created by Paddle.
+ Show all values
  • chargeback_warning_reverse
    Reversal of a chargeback warning for the related transaction. Automatically created by Paddle.
  • credit_reverse
    Reversal of a credit for the related transaction. Automatically created by Paddle.
typestringrequired
Default: partial
Example: partial
Type of adjustment. Use full to adjust the grand total for the related transaction. Include an items array when creating a partial adjustment. If omitted, defaults to partial.
Values
  • full
    The grand total for the related transaction is adjusted.
  • partial
    Some line items for the related transaction are adjusted. Requires items.
transaction_idstringrequired
Example: txn_01h04vsbhqc62t8hmd4z3b578c
Paddle ID of the transaction that this adjustment is for, prefixed with txn_.
Pattern: ^txn_[a-z\d]{26}$
subscription_idstring | nullrequired
Example: sub_01h04vsc0qhwtsbsxh3422wjs4
Unique Paddle ID for this subscription entity, prefixed with sub_.
Pattern: ^sub_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this adjustment, prefixed with ctm_. Set automatically by Paddle based on the customer_id of the related transaction.
Pattern: ^ctm_[a-z\d]{26}$
reasonstringrequired
Why this adjustment was created. Appears in the Paddle dashboard. Retained for record-keeping purposes.
credit_applied_to_balanceboolean | null
Whether this adjustment was applied to the related customer's credit balance. Only returned for credit adjustments.
currency_codestringrequired
Three-letter ISO 4217 currency code for this adjustment. Set automatically by Paddle based on the currency_code of the related transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
statusstringrequired

Status of this adjustment. Set automatically by Paddle.

Most refunds for live accounts are created with the status of pending_approval until reviewed by Paddle, but some are automatically approved. For sandbox accounts, Paddle automatically approves refunds every ten minutes.

Credit adjustments don't require approval from Paddle, so they're created as approved.

Values
  • pending_approval
    Adjustment is pending approval by Paddle. Most refunds for live accounts must be approved by Paddle.
  • approved
    Adjustment is approved. Default for credits. Set when Paddle approves a refund that was pending_approval.
  • rejected
    Adjustment has been rejected. Set when Paddle rejects a refund that was pending_approval.
  • reversed
    Adjustment has been reversed. Set by Paddle when a chargeback_reversal or credit_reversal adjustment is created for this adjustment.
itemsarrayrequired
List of items on this adjustment. Required if type is not populated or set to partial.
Items: 1–100
idstringrequired
Example: adjitm_01gw4rs4kex0prncwfne87ft8x
Unique Paddle ID for this adjustment item, prefixed with adjitm_.
Pattern: ^adjitm_[a-z\d]{26}$
item_idstringrequired
Example: txnitm_01gm302t81w94gyjpjpqypkzkf
Paddle ID for the transaction item that this adjustment item relates to, prefixed with txnitm_.
Pattern: ^txnitm_[a-z\d]{26}$
typestringrequired
Example: full
Type of adjustment for this transaction item. tax adjustments are automatically created by Paddle. Include amount when creating a partial adjustment.
Values
  • full
    Full total for this transaction item is adjusted.
  • partial
    Part of this transaction item is adjusted. Include amount to specify the partial amount adjusted.
  • tax
    Tax for this transaction item is adjusted. Created automatically by Paddle.
  • proration
    A prorated amount for this transaction item is adjusted. Created automatically by Paddle in some cases when making changes to a subscription.
amountstring | nullrequired
Amount adjusted for this transaction item. Required when item type is partial.
prorationobject | nullrequired
How proration was calculated for this item. Populated when a transaction is created from a subscription change, where proration_billing_mode was prorated_immediately or prorated_next_billing_period. Set automatically by Paddle.
ratestringrequired
Rate used to calculate proration.
billing_periodobjectrequired
Billing period that proration is based on.
starts_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period starts.
ends_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this period ends.
totalsobjectrequired
Breakdown of the total for an adjustment item.
subtotalstringrequired
Example: 15000
Amount multiplied by quantity.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
totalsobjectrequired
Breakdown of the total for an adjustment.
subtotalstringrequired
Example: 15000
Total before tax. For tax adjustments, the value is 0.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
feestringrequired
Example: 300
Total fee taken by Paddle for this adjustment.
retained_feestring
Example: 300
Paddle fees retained for this adjustment.
earningsstringrequired
Example: 14700
Total earnings. This is the subtotal minus the Paddle fee. For tax adjustments, this value is negative, which means a positive effect in the transaction earnings. This is because the fee is originally calculated from the transaction total, so if a tax adjustment is made, then the fee portion of it is returned.
currency_codestringrequired
Example: USD
Three-letter ISO 4217 currency code used for this adjustment.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
payout_totalsobject | nullrequired
Breakdown of how this adjustment affects your payout balance.
subtotalstringrequired
Example: 15000
Adjustment total before tax and fees.
taxstringrequired
Example: 1500
Total tax on the adjustment subtotal.
totalstringrequired
Example: 16500
Adjustment total after tax.
feestringrequired
Example: 300
Adjusted Paddle fee.
retained_feestringrequired
Example: 300
Paddle fees retained for this adjustment.
chargeback_feeobject
Chargeback fees incurred for this adjustment. Only returned when the adjustment action is chargeback or chargeback_warning.
amountstringrequired
Example: 1680
Chargeback fee converted into the payout currency.
originalobject | nullrequired
Chargeback fee before conversion to the payout currency. null when the chargeback fee is the same as the payout currency.
amountstringrequired
Example: 1500
Fee amount for this chargeback in the original currency.
currency_codestringrequired
Example: USD
Three-letter ISO 4217 currency code for the original chargeback fee.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • USD
    United States Dollar
earningsstringrequired
Example: 15120
Adjusted payout earnings. This is the adjustment total plus adjusted Paddle fees, excluding chargeback fees.
currency_codestringrequired
Three-letter ISO 4217 currency code used for the payout for this transaction. If your primary currency has changed, this reflects the primary currency at the time the transaction was billed.
Values
  • AUD
    Australian Dollar
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • CNY
    Chinese Yuan
  • CZK
    Czech Koruna
+ Show all values
  • DKK
    Danish Krone
  • EUR
    Euro
  • GBP
    Pound Sterling
  • HUF
    Hungarian Forint
  • PLN
    Polish Zloty
  • SEK
    Swedish Krona
  • USD
    United States Dollar
  • ZAR
    South African Rand
tax_rates_usedarrayrequired
tax_ratestringrequired
Example: 0.2
Rate used to calculate tax for this adjustment.
totalsobjectrequired
Calculated totals for the tax applied to this adjustment.
subtotalstringrequired
Example: 15000
Total before tax. For tax adjustments, the value is 0.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
adjustments_totalsobject
Object containing totals for all adjustments on a transaction. Returned when the include parameter is used with the adjustments_totals value.
subtotalstringrequired
Example: 15000
Total before tax.
taxstringrequired
Example: 1500
Total tax on the subtotal.
totalstringrequired
Example: 16500
Total after tax.
feestringrequired
Example: 300
Total fee taken by Paddle.
retained_feestringrequired
Example: 300
Total gateway fee retained by Paddle.
earningsstringrequired
Example: 14700
Total earnings. This is the subtotal minus the Paddle fee. For tax adjustments, this value is negative, which means a positive effect in the transaction earnings. This is because the fee is originally calculated from the transaction total, so if a tax adjustment is made, then the fee portion of it is returned. As a result, the earnings from all the adjustments performed could be either negative, positive or zero.
breakdownobjectrequired
Breakdown of the total adjustments by adjustment action.
creditstringrequired
Example: 8250
Total amount of credit adjustments.
refundstringrequired
Example: 8250
Total amount of refund adjustments.
chargebackstringrequired
Example: 0
Total amount of chargeback adjustments.
currency_codestringrequired
Three-letter ISO 4217 currency code used for adjustments for this transaction.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
businessobject
Business for this transaction. Reflects the entity at the time it was added to the transaction, or its revision if revised_at is not null. Returned when the include parameter is used with the business value and the transaction has a business_id.
idstringrequired
Example: biz_01grrebrzaee2qj2fqqhmcyzaj
Unique Paddle ID for this business entity, prefixed with biz_.
Pattern: ^biz_[a-z\d]{26}$
customer_idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Paddle ID for the customer related to this business, prefixed with cus_.
Pattern: ^ctm_[a-z\d]{26}$
namestringrequired
Name of this business.
Length: 1–1024
company_numberstring | nullrequired
Example: 123456789
Company number for this business.
Max length: 1024
tax_identifierstring | nullrequired
Example: AB0123456789
Tax or VAT Number for this business.
Max length: 1024
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
contactsarrayrequired
List of contacts related to this business, typically used for sending invoices.
Items: max 100, unique
namestringrequired
Full name of this contact.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this contact.
Length: 1–320
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
customerobject
Customer for this transaction. Reflects the entity at the time it was added to the transaction, or its revision if revised_at is not null. Returned when the include parameter is used with the customer value and the transaction has a customer_id.
idstringrequired
Example: ctm_01grnn4zta5a1mf02jjze7y2ys
Unique Paddle ID for this customer entity, prefixed with ctm_.
Pattern: ^ctm_[a-z\d]{26}$
namestring | nullrequired
Full name.
Max length: 1024
emailstring (email)required
Example: test@paddle.com
Email address for this customer.
Length: 1–320
marketing_consentbooleanrequired
Default: false
Whether this customer opted into marketing from you. false unless customers check the marketing consent box when using Paddle Checkout. Set automatically by Paddle.
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
localestringrequired
Default: en
Valid IETF BCP 47 short form locale tag. If omitted, defaults to en.
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
discountobject
Discount for this transaction. Reflects the entity at the time it was added to the transaction. Returned when the include parameter is used with the discount value and the transaction has a discount_id.
idstringrequired
Example: dsc_01gv5kpg05xp104ek2fmgjwttf
Unique Paddle ID for this discount, prefixed with dsc_.
Pattern: ^dsc_[a-z\d]{26}$
statusstringrequired
Default: active
Whether this entity can be used in Paddle.
Values
  • active
    Entity is active and can be used.
  • archived
    Entity is archived, so can't be used.
descriptionstringrequired
Short description for this discount for your reference. Not shown to customers.
Length: 1–500
enabled_for_checkoutbooleanrequired
Default: true
Whether this discount can be redeemed by customers at checkout (true) or not (false).
codestring | nullrequired
Unique code that customers can use to apply this discount at checkout. Use letters and numbers only, up to 32 characters. Not case-sensitive.
Length: 1–32
Pattern: ^[a-zA-Z0-9]{1,32}$
typestringrequired
Type of discount. Determines how this discount impacts the checkout or transaction total.
Values
  • flat
    Discounts a checkout or transaction by a flat amount, for example -$100. Requires currency_code.
  • flat_per_seat
    Discounts a checkout or transaction by a flat amount per unit, for example -$100 per user. Requires currency_code.
  • percentage
    Discounts a checkout or transaction by a percentage of the total, for example -10%. Maximum 100%.
modestringrequired
Default: standard
Discount mode. Standard discounts are considered part of your catalog and are shown in the Paddle dashboard.
Values
  • standard
    Standard discount. Can be considered part of your catalog and reused across transactions and subscriptions easily.
  • custom
    Non-catalog discount. Can be created via the API, or by Paddle for checkout recovery discounts. Not returned when listing or shown in the Paddle dashboard.
amountstringrequired
Amount to discount by. For percentage discounts, must be an amount between 0.01 and 100. For flat and flat_per_seat discounts, amount in the lowest denomination for a currency.
currency_codestring | nullrequired
Supported three-letter ISO 4217 currency code.
Values
  • USD
    United States Dollar
  • EUR
    Euro
  • GBP
    Pound Sterling
  • JPY
    Japanese Yen
  • AUD
    Australian Dollar
+ Show all values
  • CAD
    Canadian Dollar
  • CHF
    Swiss Franc
  • HKD
    Hong Kong Dollar
  • SGD
    Singapore Dollar
  • SEK
    Swedish Krona
  • ARS
    Argentine Peso
  • BRL
    Brazilian Real
  • CLP
    Chilean Peso
  • CNY
    Chinese Yuan
  • COP
    Colombian Peso
  • CZK
    Czech Koruna
  • DKK
    Danish Krone
  • HUF
    Hungarian Forint
  • ILS
    Israeli Shekel
  • INR
    Indian Rupee
  • KRW
    South Korean Won
  • MXN
    Mexican Peso
  • NOK
    Norwegian Krone
  • NZD
    New Zealand Dollar
  • PEN
    Peruvian Sol
  • PLN
    Polish Zloty
  • RUB
    Russian Ruble
  • THB
    Thai Baht
  • TRY
    Turkish Lira
  • TWD
    New Taiwan Dollar
  • UAH
    Ukrainian Hryvnia
  • VND
    Vietnamese Dong
  • ZAR
    South African Rand
recurbooleanrequired
Default: false
Whether this discount applies for multiple subscription billing periods (true) or not (false).
maximum_recurring_intervalsinteger | nullrequired

Number of subscription billing periods that this discount recurs for. Requires recur. null if this discount recurs forever.

Subscription renewals, midcycle changes, and one-time charges billed to a subscription aren't considered a redemption. times_used is not incremented in these cases.

Min: 1
usage_limitinteger | nullrequired

Maximum number of times this discount can be redeemed. This is an overall limit for this discount, rather than a per-customer limit. null if this discount can be redeemed an unlimited amount of times.

Paddle counts a usage as a redemption on a checkout, transaction, or the initial application against a subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

Min: 1
restrict_toarray | nullrequired
Product or price IDs that this discount is for. When including a product ID, all prices for that product can be discounted. null if this discount applies to all products and prices.
Items: unique
expires_atstring (date-time) | nullrequired
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string.
custom_dataobject | nullrequired
Example: {"customer_reference_id":"abcd1234"}
Your own structured key-value data.
times_usedintegerrequired

How many times this discount has been redeemed. Automatically incremented by Paddle.

Paddle counts a usage as a redemption on a checkout, transaction, or subscription. Transactions created for subscription renewals, midcycle changes, and one-time charges aren't considered a redemption.

discount_group_idstring | nullrequired
Example: dsg_01js2gqehzccfkywgx1jk2mtsp
Unique Paddle ID for this discount group, prefixed with dsg_.
Pattern: ^dsg_[a-z\d]{26}$
created_atstring (date-time)required
Example: 2024-10-12T07:20:50.52Z
RFC 3339 datetime string of when this entity was created. Set automatically by Paddle.
updated_atstring (date-time)required
Example: 2024-10-13T07:20:50.52Z
RFC 3339 datetime string of when this entity was updated. Set automatically by Paddle.
import_metaobject | nullrequired
Import information for this entity. null if this entity is not imported.
external_idstring | null
Example: 9b95b0b8-e10f-441a-862e-1936a6d818ab
Reference or identifier for this entity from the provider where it was imported from.
Length: 1–200
imported_fromstringrequired
Example: paddle_classic
Name of the platform or provider where this entity was imported from.
Length: 1–200
available_payment_methodsarray
List of available payment methods for this transaction. Returned when the include parameter is used with the available_payment_methods value.
Values
  • alipay
    Alipay, popular in China.
  • apple_pay
    Apple Pay on a supported Apple device.
  • bancontact
    Bancontact, popular in Belgium.
  • blik
    BLIK, a popular payment method in Poland.
  • card
    Credit or debit card.
+ Show all values
  • google_pay
    Google Pay on a supported Android device, Chromebook, or Google Chrome browser.
  • ideal
    iDEAL, popular in the Netherlands.
  • kakao_pay
    Kakao Pay, a popular payment method in South Korea.
  • korea_local
    Korean payment methods, which includes over 20 payment options for the Korean market.
  • naver_pay
    Naver Pay, a popular payment method in South Korea.
  • payco
    Payco, a popular payment method in South Korea.
  • samsung_pay
    Samsung Pay, a popular payment method in South Korea.
  • south_korea_local_card
    Korean local credit or debit card.
  • mb_way
    MB WAY, a popular payment method in Portugal.
  • paypal
    PayPal.
  • pix
    Pix, popular in Brazil.
  • upi
    Unified Payments Interface (UPI), popular in India.
  • wechat_pay
    WeChat Pay, a popular payment method in China.
metaobjectrequired
Information about this response.
request_idstringrequired
Example: b15ec92e-8688-40d4-a04d-f44cbec93355
Unique ID for the request relating to this response. Provide this when contacting Paddle support about a specific request.
paginationobjectrequired
Keys used for working with paginated results.
per_pageintegerrequired
Number of entities per page for this response. May differ from the number requested if the requested number is greater than the maximum.
nextstring (uri)required
URL containing the query parameters of the original request, along with the after parameter that marks the starting point of the next page. Always returned, even if has_more is false.
has_morebooleanrequired
Whether this response has another page.
estimated_totalinteger
Example: 999
Estimated number of entities for this response.
Response
{
"data": [
{
"id": "txn_01hv8xxw3etar07vaxsqbyqasy",
"status": "draft",
"customer_id": null,
"address_id": null,
"business_id": null,
"custom_data": null,
"origin": "web",
"collection_mode": "automatic",
"subscription_id": null,
"invoice_id": null,
"invoice_number": null,
"billing_details": null,
"billing_period": null,
"currency_code": "GBP",
"discount_id": null,
"created_at": "2024-04-12T10:33:52.610609Z",
"updated_at": "2024-04-12T10:33:52.610609Z",
"billed_at": null,
"revised_at": null,
"items": [
{
"price": {
"id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"description": "Monthly",
"type": "standard",
"name": "Monthly (per seat)",
"product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "3000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 999
},
"status": "active",
"created_at": "2023-02-23T13:55:22.538367Z",
"updated_at": "2024-04-11T13:54:52.254748Z",
"import_meta": null
},
"quantity": 10,
"proration": null
},
{
"price": {
"id": "pri_01h1vjfevh5etwq3rb416a23h2",
"description": "Monthly",
"type": "standard",
"name": "Monthly (recurring addon)",
"product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "10000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 100
},
"status": "active",
"created_at": "2023-06-01T13:31:12.625056Z",
"updated_at": "2024-04-09T07:23:00.907834Z",
"import_meta": null
},
"quantity": 1,
"proration": null
},
{
"price": {
"id": "pri_01gsz98e27ak2tyhexptwc58yk",
"description": "One-time addon",
"type": "standard",
"name": "One-time addon",
"product_id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
"billing_cycle": null,
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "19900",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 1
},
"status": "active",
"created_at": "2023-02-23T14:01:28.391712Z",
"updated_at": "2024-04-09T07:23:10.921392Z",
"import_meta": null
},
"quantity": 1,
"proration": null
}
],
"details": {
"tax_rates_used": [
{
"tax_rate": "0.2",
"totals": {
"subtotal": "47924",
"discount": "0",
"tax": "9585",
"total": "57509"
}
}
],
"totals": {
"subtotal": "47924",
"tax": "9585",
"discount": "0",
"total": "57509",
"grand_total": "57509",
"grand_total_tax": "9585",
"fee": null,
"credit": "0",
"credit_to_balance": "0",
"balance": "57509",
"earnings": null,
"currency_code": "GBP"
},
"adjusted_totals": {
"subtotal": "47924",
"tax": "9585",
"total": "57509",
"grand_total": "57509",
"grand_total_tax": "9585",
"fee": "0",
"earnings": "0",
"currency_code": "GBP",
"retained_fee": "0"
},
"payout_totals": null,
"adjusted_payout_totals": null,
"line_items": [
{
"id": "txnitm_01hv8xxw6qxaypzmf81xqgcba9",
"price_id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"quantity": 10,
"totals": {
"subtotal": "24000",
"tax": "4800",
"discount": "0",
"total": "28800"
},
"product": {
"id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"name": "AeroEdit Pro",
"description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
"custom_data": {
"features": {
"aircraft_performance": true,
"compliance_monitoring": true,
"flight_log_management": true,
"payment_by_invoice": false,
"route_planning": true,
"sso": false
},
"suggested_addons": [
"pro_01h1vjes1y163xfj1rh1tkfb65",
"pro_01gsz97mq9pa4fkyy0wqenepkz"
],
"upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
},
"status": "active",
"created_at": "2023-02-23T12:43:46.605Z",
"updated_at": "2024-04-05T15:53:44.687Z",
"import_meta": null
},
"tax_rate": "0.2",
"unit_totals": {
"subtotal": "2400",
"tax": "480",
"discount": "0",
"total": "2880"
},
"proration": null
},
{
"id": "txnitm_01hv8xxw6qxaypzmf823nwmr95",
"price_id": "pri_01h1vjfevh5etwq3rb416a23h2",
"quantity": 1,
"totals": {
"subtotal": "8001",
"tax": "1600",
"discount": "0",
"total": "9601"
},
"product": {
"id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"name": "Analytics addon",
"description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
"custom_data": null,
"status": "active",
"created_at": "2023-06-01T13:30:50.302Z",
"updated_at": "2024-04-05T15:47:17.163Z",
"import_meta": null
},
"tax_rate": "0.2",
"unit_totals": {
"subtotal": "8001",
"tax": "1600",
"discount": "0",
"total": "9601"
},
"proration": null
},
{
"id": "txnitm_01hv8xxw6qxaypzmf829vtr6tx",
"price_id": "pri_01gsz98e27ak2tyhexptwc58yk",
"quantity": 1,
"totals": {
"subtotal": "15923",
"tax": "3185",
"discount": "0",
"total": "19108"
},
"product": {
"id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
"name": "Custom domains",
"description": "Make AeroEdit truly your own with custom domains. Custom domains reinforce your brand identity and make it easy for your team to access your account.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/XIG7UXoJQHmlIAiKcnkA_custom-domains.png",
"custom_data": null,
"status": "active",
"created_at": "2023-02-23T14:01:02.441Z",
"updated_at": "2024-04-05T15:43:28.971Z",
"import_meta": null
},
"tax_rate": "0.2",
"unit_totals": {
"subtotal": "15923",
"tax": "3185",
"discount": "0",
"total": "19108"
},
"proration": null
}
]
},
"payments": [],
"checkout": {
"url": "https://aeroedit.com/pay?_ptxn=txn_01hv8xxw3etar07vaxsqbyqasy"
}
},
{
"id": "txn_01hv8xbtmb6zc7c264ycteehth",
"status": "past_due",
"customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
"address_id": "add_01hv8wt8ny8ms5vtm71bj8vcdd",
"business_id": null,
"custom_data": null,
"origin": "subscription_recurring",
"collection_mode": "automatic",
"subscription_id": "sub_01hv8x29kz0t586xy6zn1a62ny",
"invoice_id": null,
"invoice_number": null,
"billing_details": null,
"billing_period": {
"starts_at": "2024-05-12T10:18:47.635628Z",
"ends_at": "2024-06-12T10:18:47.635628Z"
},
"currency_code": "USD",
"discount_id": null,
"created_at": "2024-04-12T10:24:01.588479Z",
"updated_at": "2024-04-12T10:24:03.197001Z",
"billed_at": "2024-04-12T10:24:01.163479Z",
"revised_at": null,
"items": [
{
"price": {
"id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"description": "Monthly",
"type": "standard",
"name": "Monthly (per seat)",
"product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "3000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 999
},
"status": "active",
"created_at": "2023-02-23T13:55:22.538367Z",
"updated_at": "2024-04-11T13:54:52.254748Z",
"import_meta": null
},
"quantity": 10,
"proration": {
"rate": "1",
"billing_period": {
"starts_at": "2024-05-12T10:18:47.635628Z",
"ends_at": "2024-06-12T10:18:47.635628Z"
}
}
},
{
"price": {
"id": "pri_01h1vjfevh5etwq3rb416a23h2",
"description": "Monthly",
"type": "standard",
"name": "Monthly (recurring addon)",
"product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "10000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 100
},
"status": "active",
"created_at": "2023-06-01T13:31:12.625056Z",
"updated_at": "2024-04-09T07:23:00.907834Z",
"import_meta": null
},
"quantity": 1,
"proration": {
"rate": "1",
"billing_period": {
"starts_at": "2024-05-12T10:18:47.635628Z",
"ends_at": "2024-06-12T10:18:47.635628Z"
}
}
}
],
"details": {
"tax_rates_used": [
{
"tax_rate": "0.08875",
"totals": {
"subtotal": "40000",
"discount": "0",
"tax": "3549",
"total": "43549"
}
}
],
"totals": {
"subtotal": "40000",
"tax": "3549",
"discount": "0",
"total": "43549",
"grand_total": "43549",
"grand_total_tax": "3549",
"fee": null,
"credit": "0",
"credit_to_balance": "0",
"balance": "43549",
"earnings": null,
"currency_code": "USD"
},
"adjusted_totals": {
"subtotal": "40000",
"tax": "3549",
"total": "43549",
"grand_total": "43549",
"grand_total_tax": "3549",
"fee": "0",
"earnings": "0",
"currency_code": "USD",
"retained_fee": "0"
},
"payout_totals": null,
"adjusted_payout_totals": null,
"line_items": [
{
"id": "txnitm_01hv8xbv0wdggp4a9338b18ckn",
"price_id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"quantity": 10,
"totals": {
"subtotal": "30000",
"tax": "2662",
"discount": "0",
"total": "32662"
},
"product": {
"id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"name": "AeroEdit Pro",
"description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
"custom_data": {
"features": {
"aircraft_performance": true,
"compliance_monitoring": true,
"flight_log_management": true,
"payment_by_invoice": false,
"route_planning": true,
"sso": false
},
"suggested_addons": [
"pro_01h1vjes1y163xfj1rh1tkfb65",
"pro_01gsz97mq9pa4fkyy0wqenepkz"
],
"upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
},
"status": "active",
"created_at": "2023-02-23T12:43:46.605Z",
"updated_at": "2024-04-05T15:53:44.687Z",
"import_meta": null
},
"tax_rate": "0.08875",
"unit_totals": {
"subtotal": "3000",
"tax": "266",
"discount": "0",
"total": "3266"
},
"proration": {
"rate": "1",
"billing_period": {
"starts_at": "2024-05-12T10:18:47.635628Z",
"ends_at": "2024-06-12T10:18:47.635628Z"
}
}
},
{
"id": "txnitm_01hv8xbv0wdggp4a933cx2m9qc",
"price_id": "pri_01h1vjfevh5etwq3rb416a23h2",
"quantity": 1,
"totals": {
"subtotal": "10000",
"tax": "887",
"discount": "0",
"total": "10887"
},
"product": {
"id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"name": "Analytics addon",
"description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
"custom_data": null,
"status": "active",
"created_at": "2023-06-01T13:30:50.302Z",
"updated_at": "2024-04-05T15:47:17.163Z",
"import_meta": null
},
"tax_rate": "0.08875",
"unit_totals": {
"subtotal": "10000",
"tax": "887",
"discount": "0",
"total": "10887"
},
"proration": {
"rate": "1",
"billing_period": {
"starts_at": "2024-05-12T10:18:47.635628Z",
"ends_at": "2024-06-12T10:18:47.635628Z"
}
}
}
]
},
"payments": [
{
"payment_attempt_id": "ff8123f6-9cfc-4f04-9984-75e4ad04b169",
"stored_payment_method_id": "281ff2ca-8550-42b9-bf39-15948e7de62d",
"payment_method_id": "paymtd_01hv8x1tpjfnttxddw73xnqx6s",
"amount": "43549",
"status": "error",
"error_code": "authentication_failed",
"method_details": {
"type": "card",
"underlying_details": null,
"south_korea_local_card": null,
"card": {
"type": "visa",
"last4": "3184",
"expiry_month": 1,
"expiry_year": 2025,
"cardholder_name": "Michael McGovern"
},
"paypal": null
},
"created_at": "2024-04-12T10:24:01.692772Z",
"captured_at": null
}
],
"checkout": {
"url": "https://aeroedit.com/pay?_ptxn=txn_01hv8xbtmb6zc7c264ycteehth"
}
},
{
"id": "txn_01hv8wptq8987qeep44cyrewp9",
"status": "completed",
"customer_id": "ctm_01hv8wt8nffez4p2t6typn4a5j",
"address_id": "add_01hv8wt8ny8ms5vtm71bj8vcdd",
"business_id": null,
"custom_data": null,
"origin": "web",
"collection_mode": "automatic",
"subscription_id": "sub_01hv8x29kz0t586xy6zn1a62ny",
"invoice_id": "inv_01hv8x29nsh54c2pgt0hnq0zkx",
"invoice_number": "325-10566",
"billing_details": null,
"billing_period": {
"starts_at": "2024-04-12T10:18:47.635628Z",
"ends_at": "2024-05-12T10:18:47.635628Z"
},
"currency_code": "USD",
"discount_id": null,
"created_at": "2024-04-12T10:12:33.2014Z",
"updated_at": "2024-04-12T10:20:21.386946Z",
"billed_at": "2024-04-12T10:18:48.294633Z",
"revised_at": null,
"items": [
{
"price": {
"id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"description": "Monthly",
"type": "standard",
"name": "Monthly (per seat)",
"product_id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "3000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 999
},
"status": "active",
"created_at": "2023-02-23T13:55:22.538367Z",
"updated_at": "2024-04-11T13:54:52.254748Z",
"import_meta": null
},
"quantity": 10,
"proration": null
},
{
"price": {
"id": "pri_01h1vjfevh5etwq3rb416a23h2",
"description": "Monthly",
"type": "standard",
"name": "Monthly (recurring addon)",
"product_id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"billing_cycle": {
"interval": "month",
"frequency": 1
},
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "10000",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 100
},
"status": "active",
"created_at": "2023-06-01T13:31:12.625056Z",
"updated_at": "2024-04-09T07:23:00.907834Z",
"import_meta": null
},
"quantity": 1,
"proration": null
},
{
"price": {
"id": "pri_01gsz98e27ak2tyhexptwc58yk",
"description": "One-time addon",
"type": "standard",
"name": "One-time addon",
"product_id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
"billing_cycle": null,
"trial_period": null,
"tax_mode": "account_setting",
"unit_price": {
"amount": "19900",
"currency_code": "USD"
},
"unit_price_overrides": [],
"custom_data": null,
"quantity": {
"minimum": 1,
"maximum": 1
},
"status": "active",
"created_at": "2023-02-23T14:01:28.391712Z",
"updated_at": "2024-04-09T07:23:10.921392Z",
"import_meta": null
},
"quantity": 1,
"proration": null
}
],
"details": {
"tax_rates_used": [
{
"tax_rate": "0.08875",
"totals": {
"subtotal": "59900",
"discount": "0",
"tax": "5315",
"total": "65215"
}
}
],
"totals": {
"subtotal": "59900",
"tax": "5315",
"discount": "0",
"total": "65215",
"grand_total": "65215",
"grand_total_tax": "5315",
"fee": "3311",
"credit": "0",
"credit_to_balance": "0",
"balance": "0",
"earnings": "56589",
"currency_code": "USD"
},
"adjusted_totals": {
"subtotal": "59900",
"tax": "5315",
"total": "65215",
"grand_total": "65215",
"grand_total_tax": "5315",
"fee": "3311",
"earnings": "56589",
"currency_code": "USD",
"retained_fee": "0"
},
"payout_totals": {
"subtotal": "59900",
"discount": "0",
"tax": "5315",
"total": "65215",
"credit": "0",
"credit_to_balance": "0",
"balance": "0",
"grand_total": "65215",
"grand_total_tax": "5315",
"fee": "3311",
"earnings": "56589",
"currency_code": "USD",
"exchange_rate": "1",
"fee_rate": "0.05"
},
"adjusted_payout_totals": {
"subtotal": "59900",
"tax": "5315",
"total": "65215",
"fee": "3311",
"retained_fee": "0",
"chargeback_fee": {
"amount": "0",
"original": null
},
"earnings": "56589",
"currency_code": "USD",
"exchange_rate": "1"
},
"line_items": [
{
"id": "txnitm_01hv8wt98jahpbm1t1tzr06z6n",
"price_id": "pri_01gsz8x8sawmvhz1pv30nge1ke",
"quantity": 10,
"totals": {
"subtotal": "30000",
"tax": "2662",
"discount": "0",
"total": "32662"
},
"product": {
"id": "pro_01gsz4t5hdjse780zja8vvr7jg",
"name": "AeroEdit Pro",
"description": "Designed for professional pilots, including all features plus in Basic plus compliance monitoring, route optimization, and third-party integrations.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/bT1XUOJAQhOUxGs83cbk_pro.png",
"custom_data": {
"features": {
"aircraft_performance": true,
"compliance_monitoring": true,
"flight_log_management": true,
"payment_by_invoice": false,
"route_planning": true,
"sso": false
},
"suggested_addons": [
"pro_01h1vjes1y163xfj1rh1tkfb65",
"pro_01gsz97mq9pa4fkyy0wqenepkz"
],
"upgrade_description": "Move from Basic to Pro to take advantage of aircraft performance, advanced route planning, and compliance monitoring."
},
"status": "active",
"created_at": "2023-02-23T12:43:46.605Z",
"updated_at": "2024-04-05T15:53:44.687Z",
"import_meta": null
},
"tax_rate": "0.08875",
"unit_totals": {
"subtotal": "3000",
"tax": "266",
"discount": "0",
"total": "3266"
},
"proration": null
},
{
"id": "txnitm_01hv8wt98jahpbm1t1v1sd067y",
"price_id": "pri_01h1vjfevh5etwq3rb416a23h2",
"quantity": 1,
"totals": {
"subtotal": "10000",
"tax": "887",
"discount": "0",
"total": "10887"
},
"product": {
"id": "pro_01h1vjes1y163xfj1rh1tkfb65",
"name": "Analytics addon",
"description": "Unlock advanced insights into your flight data with enhanced analytics and reporting features. Includes customizable reporting templates and trend analysis across flights.",
"type": "standard",
"tax_category": "standard",
"image_url": "https://paddle.s3.amazonaws.com/user/165798/97dRpA6SXzcE6ekK9CAr_analytics.png",
"custom_data": null,
"status": "active",
"created_at": "2023-06-01T13:30:50.302Z",
"updated_at": "2024-04-05T15:47:17.163Z",
"import_meta": null
},
"tax_rate": "0.08875",
"unit_totals": {
"subtotal": "10000",
"tax": "887",
"discount": "0",
"total": "10887"
},
"proration": null
},
{
"id": "txnitm_01hv8wt98jahpbm1t1v67vqnb6",
"price_id": "pri_01gsz98e27ak2tyhexptwc58yk",
"quantity": 1,
"totals": {
"subtotal": "19900",
"tax": "1766",
"discount": "0",
"total": "21666"
},
"product": {
"id": "pro_01gsz97mq9pa4fkyy0wqenepkz",
"name": "Custom domains",
[...]
